% Numerical integration

% Rectangle method: left endpoints
sum(sin(linspace(0,sqrt(pi),1+1e5)(1:end-1).^2)*sqrt(pi)/1e5)

% Rectangle method: right endpoints
sum(sin(linspace(0,sqrt(pi),1+1e5)(2:end).^2)*sqrt(pi)/1e5)

% Rectangle method: midpoints
sum(sin((linspace(0,sqrt(pi),1+1e5)(1:end-1)+sqrt(pi)/2e5).^2)*sqrt(pi)/1e5)

% Example 6.32: Trapezoid rule
x = linspace(0,sqrt(pi),1+1e5);
h = sqrt(pi)/1e5;
h*sum(sin(x(2:end-1).^2))

% Example 6.32: Simpson's rule
(h/3)*(4*sum(sin(x(2:2:end-1).^2)) + 2*sum(sin(x(3:2:end-1).^2)))

% Example 6.33: Gaussian quadrature
a = [ 0 -0.405845 0.405845 -0.741531 0.741531 -0.949108 0.949108 ];
w = [ 0.417959 0.381830 0.381830 0.279705 0.279705 0.129485 0.129485 ];
sum(w./(1 + (a+1).^3))
