% Octave/MATLAB code to produce Figure 9.5.1
syms x
f = sin(x);
S7 = taylor(f, x, 'Order', 7);
S11 = taylor(f, x, 'Order', 11);
S15 = taylor(f, x, 'Order', 15);

plotS7 = ezplot(S7, [-8, 8]);
hold on
set(plotS7, 'Color', 'red')
set(plotS7, 'LineWidth', 2);
set(plotS7, 'LineStyle', ':');

plotS11 = ezplot(S11, [-8, 8]);
set(plotS11, 'Color', 'magenta')
set(plotS11, 'LineWidth', 2);
set(plotS11, 'LineStyle', '-.');

plotS15 = ezplot(S15, [-8, 8]);
set(plotS15, 'Color', 'blue')
set(plotS15, 'LineWidth', 2);
set(plotS15, 'LineStyle', '--');

plotF = ezplot(f, [-8, 8]);
set(plotF, 'Color', 'black', 'LineWidth', 2)

legend('O(x^7) approx.',...
'O(x^{11}) approx.',...
'O(x^{15}) approx.',...
'sin(x)',...
'Location', 'North')
grid on
title('');
ylabel('y');
